#ifndef _PhPhobFamily_INCLUDED_
#define _PhPhobFamily_INCLUDED_

///////////////////////////////////////////////////////////////////////
//                                                                   //
//    TPhPhobFamily                                                  //
//                                                                   //
//    DetFamily base class for Squared Pad Detectors                 //
//    PHOBOS Type 1,2,3,4,5 Octagon and Vertex Detector              //
///////////////////////////////////////////////////////////////////////

// Phobos Classes

#include "TPhDetFamily.h"

class TPhPhobFamily : public TPhDetFamily
{

public:
    TPhPhobFamily() { fID = kFamID; fDetTypeID = kFamID;}
    
    virtual ~TPhPhobFamily(){}
	virtual Bool_t ReadGeometry(char * filename1 = NULL, char * filename2 = NULL);
	
	static const Int_t  kFamID;

protected:

    ClassDef(TPhPhobFamily,1) // PHOBOS geometry and calibration interface
};

#endif
