#ifndef TPhSetup_
#define TPhSetup_

///////////////////////////////////////////////////////////////////////
//                                                                   //
//    TPhSetup                                                       //
//                                                                   // 
//                                                                   //
//    Author  : Christopher Conner (cmc@uic.edu)                     //
//    Created : 05/12/97                                             //
//    Version : 1.0                                                  //
//    Changed :                                                      //
//                                                                   //
///////////////////////////////////////////////////////////////////////

// Root Classes

#include <TObject.h>
// Phobos Classes

#include "TPhEvent.h"
#include "TPhTeleFamily.h"
#include "TPhPhobFamily.h"
#include "TPhWA98Fam.h"

class TPhSetup : public TObject {

public:
    TPhSetup() {}
	virtual void Print()
	{
		cout << "Phob " << TPhPhobFamily::kFamID << endl;
		cout << "Tele " << TPhTeleFamily::kFamID << endl;
		cout << "WA98 " << TPhWA98Family::kFamID << endl;
	}
    virtual ~TPhSetup() { }
	virtual void SetupGeometry(TPhEvent *, char * filename1);

protected:

public:

    ClassDef(TPhSetup,1)  // TestBeam Setup class

};

#endif
