#ifndef _PhTeleDetector_INCLUDED_
#define _PhTeleDetector_INCLUDED_

///////////////////////////////////////////////////////////////////////
//                                                                   //
//    TPhTeleDetector                                                //
//                                                                   //
//    Tele DetDetector base class                                    //
//                                                                   //                    //
//                                                                   //
//    Autheor : Christopher Conner (cmc@uic.edu)                     //
//    Created : 05/11/97                                             //
//    Version : 1.0                                                  //
//    Changed :                                                      //
//                                                                   //
///////////////////////////////////////////////////////////////////////

// Phobos Classes

#include "TPhDetector.h"
#include "TPhTeleFamily.h"

class TPhTeleDetector : public TPhDetector
{

public:
    TPhTeleDetector()    {fDetTypeID = TPhTeleFamily::kFamID;}
    virtual ~TPhTeleDetector() {}

	Double_t GetPadWidth()  {return fPadWidth;}
    void     SetPadWidth(Double_t padWidth) {fPadWidth = padWidth;}
	void     FillGeometry();
    void     CalcXYZ(Int_t id = -1);
	virtual  Bool_t Draw(Int_t color=-1);


protected:

    Double_t fPadWidth;   // Width of channels

    ClassDef(TPhTeleDetector,1) // PHOBOS geometry and calibration interface
};

#endif

