#ifndef _PhTeleFamily_INCLUDED_
#define _PhTeleFamily_INCLUDED_

///////////////////////////////////////////////////////////////////////
//                                                                   //
//    TPhTeleFamily                                                  //
//                                                                   //
//    Tele DetFamily base class                                      //
//                                                                   //                    //
//                                                                   //
//    Autheor : Christopher Conner (cmc@uic.edu)                     //
//    Created : 05/11/97                                             //
//    Version : 1.0                                                  //
//    Changed :                                                      //
//                                                                   //
///////////////////////////////////////////////////////////////////////

// Phobos Classes

#include "TPhDetFamily.h"

class TPhTeleFamily : public TPhDetFamily
{

public:
    TPhTeleFamily() { fID = kFamID; fDetTypeID = kFamID;}
    
    virtual ~TPhTeleFamily(){}
	virtual Bool_t ReadGeometry(Char_t * filename1 = NULL, Char_t * filename2 = NULL);
	
	static const Int_t  kFamID;
	static const Int_t  kChanVA1;


protected:

    ClassDef(TPhTeleFamily,1) // PHOBOS geometry and calibration interface
};

#endif
